unit splcall;

interface

uses
   SysUtils, Classes, splash;

var
  splWin: Tsplash_win;

procedure SplashShow;
procedure SplashHide;
procedure SplashApp(text: PChar);
procedure SplashText(text: PChar);
procedure SplashCopy(text: PChar);

implementation

procedure SplashShow;
begin
  splWin := Tsplash_win.Create(nil);
  splWin.Show;
end;

procedure SplashHide;
begin
  splWin.Close;
  splWin.Release;
end;

procedure SplashApp(text: PChar);
begin
  splWin.LBapplication.Caption := text;
  splWin.Repaint;
end;

procedure SplashText(text: PChar);
begin
  splWin.LBtext.Caption := text;
  splWin.Repaint;
end;

procedure SplashCopy(text: PChar);
begin
  splWin.LBcopyright.Caption := text;
  splWin.Repaint;
end;

end.
